Unable to use json module

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Unable to use json module

Sunil More
Hello All,

I am getting the below error , when ever i try to use json.so module for kamailio. I have compiled and installed with json.so however this error occurs.



 0(20153) ERROR: <core> [sr_module.c:576]: load_module(): could not open module </usr/local/kamailio//lib64/kamailio/modules/json.so>: /usr/local/kamailio//lib64/kamailio/modules/json.so: undefined symbol: is_error

 0(20153) : <core> [cfg.y:3365]: yyerror_at(): parse error in config file /usr/local/kamailio/etc/kamailio/cc_kamailio/basic.cfg, line 69, column 12-20: failed to load module

ERROR: bad config file (1 errors)

The kamailio version I am using is : 

version: kamailio 4.4.0-pre0 (x86_64/linux) 4e7573

Please let me know, how can i proceed here.


Thanking You,
Sunil More
Ph : 9503338275

_______________________________________________
SIP Express Router (SER) and Kamailio (OpenSER) - sr-users mailing list
[hidden email]
http://lists.sip-router.org/cgi-bin/mailman/listinfo/sr-users
Reply | Threaded
Open this post in threaded view
|

Re: Unable to use json module

ycaner
Hello;
my kamailio is kamailio 4.4.0-pre0 (x86_64/linux) on Centos 6.6 and json module is installed that useful. Could you reinstall json and jansson libs again.
json-c.x86_64                          0.11-12.el6                      @base
json-c-devel.x86_64                    0.11-12.el6                      @base
Reply | Threaded
Open this post in threaded view
|

Re: Unable to use json module

Sunil More
Tried,

same error while installation. upon completion of installation still cant use json module.

Thanking You,
Sunil More
Ph : 9503338275

On Wed, Feb 17, 2016 at 12:28 PM, ycaner <[hidden email]> wrote:
Hello;
my kamailio is kamailio 4.4.0-pre0 (x86_64/linux) on Centos 6.6 and json
module is installed that useful. Could you reinstall json and jansson libs
again.
json-c.x86_64                          0.11-12.el6
@base
json-c-devel.x86_64                    0.11-12.el6
@base




--
View this message in context: http://sip-router.1086192.n5.nabble.com/Unable-to-use-json-module-tp145788p145819.html
Sent from the Users mailing list archive at Nabble.com.

_______________________________________________
SIP Express Router (SER) and Kamailio (OpenSER) - sr-users mailing list
[hidden email]
http://lists.sip-router.org/cgi-bin/mailman/listinfo/sr-users


_______________________________________________
SIP Express Router (SER) and Kamailio (OpenSER) - sr-users mailing list
[hidden email]
http://lists.sip-router.org/cgi-bin/mailman/listinfo/sr-users
Reply | Threaded
Open this post in threaded view
|

Re: Unable to use json module

ycaner
Hello;
    i remembered that problem. There is a problem with json version news or olds which one i cant remember.you should install json version as mentioned. i dont get any error with this version.

22.02.2016 09:40 tarihinde Sunil More [via SIP Router] yazdı:
Tried,

same error while installation. upon completion of installation still cant use json module.

Thanking You,
Sunil More
Ph : 9503338275

On Wed, Feb 17, 2016 at 12:28 PM, ycaner <[hidden email]> wrote:
Hello;
my kamailio is kamailio 4.4.0-pre0 (x86_64/linux) on Centos 6.6 and json
module is installed that useful. Could you reinstall json and jansson libs
again.
json-c.x86_64                          0.11-12.el6
@base
json-c-devel.x86_64                    0.11-12.el6
@base




--
View this message in context: http://sip-router.1086192.n5.nabble.com/Unable-to-use-json-module-tp145788p145819.html
Sent from the Users mailing list archive at Nabble.com.

_______________________________________________
SIP Express Router (SER) and Kamailio (OpenSER) - sr-users mailing list
[hidden email]
http://lists.sip-router.org/cgi-bin/mailman/listinfo/sr-users


_______________________________________________
SIP Express Router (SER) and Kamailio (OpenSER) - sr-users mailing list
[hidden email]
http://lists.sip-router.org/cgi-bin/mailman/listinfo/sr-users



If you reply to this email, your message will be added to the discussion below:
http://sip-router.1086192.n5.nabble.com/Unable-to-use-json-module-tp145788p145914.html
To unsubscribe from Unable to use json module, click here.
NAML

--